###

#

PixelValueConcept< P > Struct Template Reference
Pixel » Concepts

Pixel concept that is a Regular type. More...

`#include <pixel.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

template<typename P>
struct boost::gil::PixelValueConcept< P >

Pixel concept that is a Regular type.

concept PixelValueConcept<PixelConcept P> : Regular<P>
{
where SameType<value_type,P>;
};
boost::gil::PixelConcept
Pixel concept - A color base whose elements are channels.
Definition: concepts/pixel.hpp:64
boost::gil::PixelValueConcept
Pixel concept that is a Regular type.
Definition: concepts/pixel.hpp:171
boost::gil::Regular
Concept for type regularity requirement.
Definition: basic.hpp:142
boost::gil::SameType
Concept of types equivalence requirement.
Definition: basic.hpp:179

The documentation for this struct was generated from the following file:

- concepts/pixel.hpp